Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Patch during installation UCM 8.6(2a)su1 on UCS

Hi all, this is my first posting here so please bear with me. This is also my first 8.6 installation, and my first UC on UCS installtion. I am trying to install UCM 8.6(2a)SU1, pub and sub, on a UCS C200 M2 running ESXi 5.0. I am not sure if the ESXi part is part of the problem, but I'd mention it anyway.

I set up a vm using the cucm_8.6_vmv8_v1.5.ova template, using the 1000-user-per-node-configuration.

I have an ISO image of 8.6(2a) which installs fine by itself.

However, when I try to apply the 8.6(2a)SU1 patch *during* the installation, strange things happen. When I try to patch during installation using the LOCAL option (using the SU1 ISO in the ESXi datastore and mounting it), I get an error after the copying, saying the patch can't be installed. However, this screen clears itself, the VM reboots, and installation resumes with 8.6.2.21900-5 in the banner (which is SU1). But the error message does not give me much confidence.

When selecting FTP as the patch location, I get similar results. And yes, the md5 of the ISO is correct.

I did now install the publisher using 8.6(2a) and updated to SU1 from the GUI, without problems, but I am now not sure how to approach the subscriber.

I could ignore the error message, pretending I was away drinking coffee while it showed up, and proceed, but I really do not feel good about delivering a setup like this to our customer. I have not tried finishing this setup. This error is not giving me confidence.

The only other possibility is to install 8.6(2a) as a sub, and upgrade it to SU1 using the GUI afterwards, but I am not sure if I can even install 8.6(2a) as a sub against a pub running SU1? Do versions have to match at install-time, or am I allowed to install it and then upgrade using the GUI? If patch-during-install is the only option, this error would mean that it is impossible to add any subs later on...

Any help would be appreciated.

Kind regards,

Pieter

Everyone's tags (3)
6 REPLIES
New Member

Re: Patch during installation UCM 8.6(2a)su1 on UCS

Ok, answered part of my own question: no, it is not possible to install a sub with a different version than the pub, and upgrade *after* installation.

So, the question remains if I should worry about the error after trying to apply a patch *during* installation, if the error clears itself, the machine reboots and proceeds with setup of the *new* version...

Basically I have 2 options:

- install every server with 8.6(2a), and after all nodes are up, upgrade the entire cluster to SU1, or

- install every server with 8.6(2a)SU1 and ignore the error.

New Member

Re: Patch during installation UCM 8.6(2a)su1 on UCS

Greetings,

Did you ever find a solution to this or root cause?

Tim

New Member

Re: Patch during installation UCM 8.6(2a)su1 on UCS

Tim,

No, I haven't. I saw that there is now 8.6(2a)su2 available, perhaps I'll give that one a go. But we also received version 9, so I doubt that we will do many 8.x installations from now on...

Pieter

New Member

Re: Patch during installation UCM 8.6(2a)su1 on UCS

I take it that you have a bootable 8.6.2a ISO and the a non-bootable 8.6.2aSU1 ISO.  You can skip all the hassle by using an ISO editor program like Magic ISO or something similar.  Then do the following steps:

  1. Load the the bootable 8.6.2a ISO, and save the boot image.
  2. Load the non-bootable 8.6.2aSU1 ISO, then load the boot image saved in step 1
  3. Save your 8.6.2aSU1 ISO, which should now be bootable.

If you decide to use magic ISO http://www.magiciso.com/ then you'll need the paid version.  The demo version can only work on ISO image 300MB or less.

Regards,

Andy.

New Member

Re: Patch during installation UCM 8.6(2a)su1 on UCS

Andy,

Thanks for the suggestion, but apart from the questionable legality of this, it is not the kind of workaround I want to use to set up production environments for our customers...

Thanks,

Pieter

New Member

Re: Patch during installation UCM 8.6(2a)su1 on UCS

Pieter,

It is meant as a work around should you not have the correct media during a maintenance window. If you need it to be proper for the customer then you should use PUT tool to order the bootable media. Plus there is nothing illegal about this. Most customers will convert the DVD to an ISO then spin up the VM from there.

Andy

Sent from Cisco Technical Support iPhone App

719
Views
0
Helpful
6
Replies
CreatePlease login to create content